TechDraw "Добавить Линию-выноску в Вид"
Jump to navigation
Jump to search
TechDraw
Документация пользователя
|
Системное название |
---|
TechDraw_LeaderLine |
Расположение в меню |
TechDraw → Добавить Линии → Добавить Линию-выноску в Вид |
Верстаки |
TechDraw |
Быстрые клавиши |
Нет |
Представлено в версии |
0.19 |
См. также |
Вставка аннотаций форматированным текстом, Добавить информацию о сварке в указательную линию, Группы линий |
Описание
The TechDraw LeaderLine tool adds a line to a View. Other annotation objects (such as Rich Text Annotations) can be connected to the leaderline to form complex annotations.
Leaderline added to View001
Применение
- Select a view.
- Press the
Add Leaderline to View button. A dialog will open allowing to draw the leaderline and assigning end symbols to the line.
- Click on Pick points and then click into the page to define the starting point of the line.
- Move the mouse and click on another point to create a line. Hold Ctrl to snap to multiples of 22.5° angles.
- Now you can either
- finish the line drawing by double-clicking or pressing Save Points.
- add further points to define more line segments.
- To finish the creation, press OK to close the dialog.
Note: If you did not define any points when creating the leaderline, a short line will be placed at the center of the view.
Editing
- Select the Leaderline in the document tree and double-click on it.
- A dialog will open where you can change the appearance.
- To edit the points, click on Edit points and the line points become visible in the drawing.
- Drag the points to a place you like and finish the change by clicking on Save changes.
Свойства
- ДанныеX,Y: The point at which the leaderline is connected to the View.
- ДанныеLeader Parent: The View to which the leader is attached.
- ДанныеStart Symbol: The symbol at the start:
None,
Filled Arrow,
Open Arrow,
Tick,
Dot,
Open Circle,
Fork,
Filled Triangle
- ДанныеEnd Symbol: The symbol at the end.
- ДанныеWayPoints: Nodes on the leaderline.
- ДанныеScalable: Leader scales with Leader Parent.
- ДанныеAuto Horizontal: Forces last leaderline segment to be horizontal.
- ВидColor: Pen colour for the leaderline.
- ВидLine Style: 0 NoLine, 1
Continuous, 2
Dash, 3
Dot, 4
DashDot, 5
DashDotDot
- ВидLine Width: Width of leaderline.
Программирование
См. так же: TechDraw API и Основы составления скриптов FreeCAD.
The LeaderLine tool can be used in macros and from the Python console by using the following functions:
myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
leaderObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawLeaderLine','DrawLeaderLine')
FreeCAD.activeDocument().myPage.addView(leaderObj)
FreeCAD.activeDocument().leaderObj.LeaderParent = myBase
#first waypoint is always (0,0,0)
#rest of waypoints are positions relative to (0,0,0)
leaderObj.WayPoints = [p0,p1,p2]
leaderObj.X = 5
leaderObj.Y = 5
Notes
- You can edit a Leaderline by double clicking on it in the tree view. Double clicking in the graphics area is not yet supported. The line segment(s) can be edited by pressing Edit points. To exit the point editing, press Save changes or Discard changes.
- If you did not define any points when creating the leaderline, a short line will be placed at the center of the view. You can later not add further points.
- By default the preferences option Leader Line Auto Horizontal is activated. Therefore the last line segment will be horizontal. So if you only have one segment, you get a horizontal line, no matter where you picked the second point.
- You can turn off the auto horizontal feature for existing Leaderlines changing the ДанныеAuto Horizontal property.
- Pages: Insert Default Page, Insert Page using Template, Redraw Page, Print All Pages
- Views: Insert View, Insert Active View, Insert Projection Group, Insert Section View, Insert Complex Section View, Insert Detail View, Insert Draft Workbench Object, Insert Arch Workbench Object, Insert Spreadsheet View, Move View, Share View, Project Shape
- Stacking: Move view to top of stack, Move view to bottom of stack, Move view up one level, Move view down one level
- Clips: Insert Clip Group, Add View to Clip Group, Remove View from Clip Group
- Decorations: Hatch Face using Image File, Apply Geometric Hatch to Face, Insert SVG Symbol, Insert Bitmap Image, Turn View Frames On/Off
- Dimensions: Insert Length Dimension, Insert Horizontal Dimension, Insert Vertical Dimension, Insert Radius Dimension, Insert Diameter Dimension, Insert Angle Dimension, Insert 3-Point Angle Dimension, Insert Horizontal Extent Dimension, Insert Vertical Extent Dimension, Link Dimension to 3D Geometry, Insert Balloon Annotation, Insert Axonometric Length Dimension, Insert Landmark Dimension, Adjust Geometric References of Dimension
- Annotations: Insert Annotation, Add Leaderline to View, Insert Rich Text Annotation, Add Cosmetic Vertex, Add Midpoint Vertices, Add Quadrant Vertices, Add Centerline to Faces, Add Centerline between 2 Lines, Add Centerline between 2 Points, Add Cosmetic Line Through 2 points, Remove Cosmetic Object, Change Appearance of Lines, Show/Hide Invisible Edges, Add Welding Information to Leader, Add Surface Finish Symbol, Add Hole or Shaft Tolerances
- Extensions:
- Attributes and modifications: Select Line Attributes, Cascade Spacing and Delta Distance, Change Line Attributes, Extend Line, Shorten Line, Lock/Unlock View, Position Section View, Position Horizontal Chain Dimensions, Position Vertical Chain Dimensions, Position Oblique Chain Dimensions, Cascade Horizontal Dimensions, Cascade Vertical Dimensions, Cascade Oblique Dimensions, Calculate the area of selected faces, Customize format label
- Centerlines and threading: Add Circle Centerlines, Add Bolt Circle Centerlines, Add Cosmetic Thread Hole Side View, Add Cosmetic Thread Hole Bottom View, Add Cosmetic Thread Bolt Side View, Add Cosmetic Thread Bolt Bottom View, Add Cosmetic Intersection Vertex(es), Add Cosmetic Circle, Add Cosmetic Arc, Add Cosmetic Circle 3 Points, Add Cosmetic Parallel Line, Add Cosmetic Perpendicular Line
- Dimensions: Create Horizontal Chain Dimensions, Create Vertical Chain Dimensions, Create Oblique Chain Dimensions, Create Horizontal Coordinate Dimensions, Create Vertical Coordinate Dimensions, Create Oblique Coordinate Dimensions, Create Horizontal Chamfer Dimension, Create Vertical Chamfer Dimension, Create Arc Length Dimension, Insert '⌀' Prefix, Insert '〼' Prefix, Remove Prefix, Increase Decimal Places, Decrease Decimal Places
- Export: Export Page as SVG, Export Page as DXF
- Additional: Line Groups, Templates, Hatching, Geometric dimensioning and tolerancing, Preferences

- Начинающим
- Установка: Загрузка, Windows, Linux, Mac, Дополнительных компонентов, Docker, AppImage, Ubuntu Snap
- Базовая: О FreeCAD, Интерфейс, Навигация мыши, Методы выделения, Имя объекта, Настройки, Верстаки, Структура документа, Свойства, Помоги FreeCAD, Пожертвования
- Помощь: Учебники, Видео учебники
- Верстаки: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web